commit:     43b401c58c9d6c83dc77f20c5b638488bdfd6ce4
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  5 06:08:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jul  5 06:08:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43b401c5

dev-python/numpydoc: Bump to 1.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/numpydoc/Manifest              |  1 +
 dev-python/numpydoc/numpydoc-1.1.0.ebuild | 43 +++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/numpydoc/Manifest b/dev-python/numpydoc/Manifest
index 400c35f3121..4373ddddf55 100644
--- a/dev-python/numpydoc/Manifest
+++ b/dev-python/numpydoc/Manifest
@@ -1,2 +1,3 @@
 DIST numpydoc-0.9.1.tar.gz 27583 BLAKE2B 
91764f74b35a740790efa9faade69622d48777fe97a62824b91d78ebf62f806f8c5ec34b1e6c4a4afee6e87358edfa40ca0d316ea41f7ed8501733a51797611b
 SHA512 
85a47ed86823baa3125dde4bb2760ce56f6fed9bb29dc64187dee4101f6344b5065146209f603d50a84a5d9cf0b7f4e5134fc0b495219e68100e05e028b61f2a
 DIST numpydoc-0.9.2.tar.gz 27555 BLAKE2B 
47b7788c502a26c40889c84563c0b94983655a653fa1f783f47d667021c65c7ffc0d2cdd14a16dfcb982da48642c0b07c949f57336d5b67c897a78815684bcac
 SHA512 
db8f5c3b409ece0a40f1c2ccb06eaa182896d173a5c913c7e6c5780fd021d746c48557fee6f050db8c42cfa41a5021901342bbb93dfd8b8daf7d43fead9cf94a
+DIST numpydoc-1.1.0.tar.gz 609482 BLAKE2B 
475be835a760dd148b7132a3149a1b79193425b70bbaa51b29a3909c73ed11a933181c917a0f0d0b56d8d30baced2142897e0a931b5eeb6449092d0a2a81632b
 SHA512 
10dfc5e40ca851401be7d7cca3cbf24bf8ded8573c01344976321cd65fe351d985ee0bf48a92a485a43f8fb191c246e4822545a1583c87c1214d819a5fdfc106

diff --git a/dev-python/numpydoc/numpydoc-1.1.0.ebuild 
b/dev-python/numpydoc/numpydoc-1.1.0.ebuild
new file mode 100644
index 00000000000..442eae40359
--- /dev/null
+++ b/dev-python/numpydoc/numpydoc-1.1.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension to support docstrings in Numpy format"
+HOMEPAGE="https://pypi.org/project/numpydoc/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               >=dev-python/matplotlib-3.2.1[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's:--cov-report= --cov=numpydoc::' setup.cfg || die
+
+       # these require Internet (intersphinx)
+       sed -e 's:test_MyClass:_&:' \
+               -e 's:test_my_function:_&:' \
+               -i numpydoc/tests/test_full.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pytest -vv --pyargs numpydoc || die "Tests failed with ${EPYTHON}"
+}

Reply via email to